org.apache.ignite.internal.util

## Class ReflectiveDirectBufferCleaner

- java.lang.Object
- - org.apache.ignite.internal.util.ReflectiveDirectBufferCleaner

All Implemented Interfaces:
  DirectBufferCleaner

    public class ReflectiveDirectBufferCleaner
    extends Object
    implements DirectBufferCleaner

`DirectBufferCleaner` implementation based on `sun.misc.Cleaner` and `sun.nio.ch.DirectBuffer.cleaner()` method. Mote: This implementation will not work on Java 9+.

### Constructor Summary

Constructors
Constructor and Description
`ReflectiveDirectBufferCleaner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean(ByteBuffer buf)` Cleans direct buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectiveDirectBufferCleaner

    public ReflectiveDirectBufferCleaner()

### Method Detail

#### clean

    public void clean(ByteBuffer buf)

Cleans direct buffer.

Specified by:
  `clean` in interface `DirectBufferCleaner`
Parameters:
  `buf` - direct buffer.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018